<?php 

require get_template_directory() . '/theme-settings.php';

function kutu_setup() {

    add_theme_support('automatic-feed-links');
    add_theme_support('title-tag');

    /*Menu ozelligi ---------------------------------------------------------------*/
    register_nav_menus( array('menu' => __('Menu', 'kutu'),));

    /*Ozel Logo -------------------------------------------------------------------*/
    add_theme_support('custom-logo', array(
        'width'       => 200,
        'height'      => 120,
        'flex-height' => true,
        'flex-width'  => true,
    ) );

    /*Ozel Arkaplan--------------------------------------------------------------------*/
    add_theme_support('custom-background', apply_filters( 'saffat_custom_background_args', array(
        'default-color'  		=> '#e0e0e0',
		'default-image' 		=> '',
		'default-repeat' 		=> 'repeat',
		'default-attachment'    => 'fixed',
    )));

     /* Dil desteği sağlar.---------------------*/
    load_theme_textdomain( 'kutu', get_template_directory() . '/languages' );

    /* Hem yazilara hem de sayfalara resim ozelligi kazandirir.---------------------*/
    add_theme_support('post-thumbnails');
    add_image_size ('kutu-image', 100, 100, true);

}
add_action('after_setup_theme', 'kutu_setup');

/*Yazı alanı genişlik bilgisi ------------------------------------------------------*/
if ( ! isset( $content_width ) ) $content_width = 690;

/*style.css dosyasini yukler ------------------------------------------------------*/
function kutu_scripts() {
	wp_enqueue_style( 'kutu-style', get_stylesheet_uri() );

	/*Yorum Cevaplama ------------------------------------------------------------------*/
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
	        wp_enqueue_script( 'comment-reply' );
	    }
}
add_action( 'wp_enqueue_scripts', 'kutu_scripts' );




/*Sidebar ------------------------------------------------------*/
add_action( 'widgets_init', 'kutu_widgets_init' );
function kutu_widgets_init() {
    register_sidebar( array(
        'name' => __( 'Sidebar', 'kutu' ),
        'id' => 'sidebar',
        'description' => __( 'Widgets in this area will be shown on all posts and pages.', 'kutu' ),
        'before_widget' => '<div class="%2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<div class="widget-title">',
		'after_title'   => '</div>',
    ) );
}

/*Ozet Kisaltma ------------------------------------------------------*/
function kutu_custom_excerpt_length( $length ) {
	if (is_admin()){
		
		return $length;
	}
    return 10;
}
add_filter( 'excerpt_length', 'kutu_custom_excerpt_length', 999 );



?>
